﻿
@{
    Layout = null;
}
<style>
    table, th, td, tr {
        border: 1px solid #00606d;
    }
</style>
<div class="view-container">
    <div class="title-bar" style="margin-bottom: 90px">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title" style="font-size: 20px">
            <div>
                Generate class schedule
            </div>
        </div>
        <div class="actions">
            <a class="icon-btn pdf-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPdf()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-pdf"></i>
            </a>
            <a class="icon-btn excel-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-excel"></i>
            </a>

        </div>

    </div>
    <div class="clearfix"></div>

    <div>
        <div style="width: 100%; position: relative">
            <img class="report-logo" src="{{Model.SchoolLogo}}" />
            <span style="position: absolute; right:0; bottom: 20px; color: #00606d; font-size: 17px; font-weight: bold">
                {{Model.Date}}
            </span>
        </div>

        <hr style="background-color: #00606d; height: 2px" />

        <p style="font-size: 22px; color: #00606d; text-align: center; font-weight: bold">Student Schedule</p>

        <br />
        <div class="clearfix"></div>

        <table style="border: 1px solid #00606d; width: 100%;" cellspacing="0" cellpadding="5">
            <tr>
                <td width="20%" style="background-color: #00606d; color: white">
                    Participant:
                </td>
                <td width="80%">
                    {{Model.FullName}}
                </td>
            </tr>
            <tr>
                <td width="20%" style="background-color: #00606d; color: white">
                    School:
                </td>
                <td width="80%">
                    {{Model.ClubName}}
                </td>
            </tr>
        </table>

        <div class="clearfix"></div>
        <br />

        <table style="text-align:center; width: 100%;" cellpadding="5" cellspacing="0">
            <thead>
                <tr style="font-weight: bold; background-color: #00606d;color: white;">
                    <td width="15%">Class name</td>
                    <td width="10%">Start date </td>
                    <td width="10%">End date</td>
                    <td width="15%">Start - End time</td>
                    <td width="10%">Days</td>
                    <td width="10%">Teacher</td>
                    <td width="10%">Room</td>
                    <td width="20%">Location</td>
                </tr>
            </thead>

            <tbody>

                <tr ng-repeat="item in Model.ClassesInfo">
                    <td>{{item.ProgramName}}</td>
                    <td>{{item.StartDate}}</td>
                    <td>{{item.EndDate}}</td>
                    <td>{{item.StartEndTime}}</td>
                    <td>{{item.Days}}</td>
                    <td>{{item.TeacherName}}</td>
                    <td>{{item.Room}}</td>
                    <td>{{item.Location}}</td>
                </tr>

            </tbody>

        </table>

        <br />
        <div style="background-color: #464c49; padding: 10px">
            <p style="color: #8ac493; font-size: 12px; font-weight: bold;">
                CONTACT US: <span style="font-size: 12px; font-weight: normal">{{Model.Email}}</span>
            </p>
            <p style="color: #8ac493; font-size: 12px; font-weight: bold;">
                PHONE #: <span style="font-size: 12px; font-weight: normal">{{Model.Phone}}</span>
            </p>
            <p style="color: #8ac493; font-size: 12px; font-weight: bold;">
                ADDRESS: <span style="font-size: 12px; font-weight: normal">{{Model.Address}}</span>
            </p>
        </div>

    </div>



</div>
